# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-01-20 19:10
from __future__ import unicode_literals

import django.db.models.deletion
import wagtail.wagtailcore.blocks
import wagtail.wagtailcore.fields
import wagtail.wagtailimages.blocks
from django.db import migrations, models

import gestioncof.cms.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtailcore", "0033_remove_golive_expiry_help_text"),
        ("wagtailimages", "0019_delete_filter"),
    ]

    operations = [
        migrations.CreateModel(
            name="COFActuIndexPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
            ],
            options={
                "verbose_name": "Index des actualités",
                "verbose_name_plural": "Indexs des actualités",
            },
            bases=("wagtailcore.page", gestioncof.cms.models.COFActuIndexMixin),
        ),
        migrations.CreateModel(
            name="COFActuPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "chapo",
                    models.TextField(blank=True, verbose_name="Description rapide"),
                ),
                (
                    "chapo_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="Description rapide"
                    ),
                ),
                (
                    "chapo_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="Description rapide"
                    ),
                ),
                (
                    "body",
                    wagtail.wagtailcore.fields.RichTextField(verbose_name="Contenu"),
                ),
                (
                    "body_fr",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Contenu"
                    ),
                ),
                (
                    "body_en",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Contenu"
                    ),
                ),
                (
                    "is_event",
                    models.BooleanField(default=True, verbose_name="Évènement"),
                ),
                (
                    "date_start",
                    models.DateTimeField(verbose_name="Date et heure de début"),
                ),
                (
                    "date_end",
                    models.DateTimeField(
                        blank=True,
                        default=None,
                        null=True,
                        verbose_name="Date et heure de fin",
                    ),
                ),
                (
                    "all_day",
                    models.BooleanField(default=False, verbose_name="Toute la journée"),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.Image",
                        verbose_name="Image à la Une",
                    ),
                ),
            ],
            options={"verbose_name": "Actualité", "verbose_name_plural": "Actualités"},
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="COFDirectoryEntryPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "body",
                    wagtail.wagtailcore.fields.RichTextField(
                        verbose_name="Description"
                    ),
                ),
                (
                    "body_fr",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Description"
                    ),
                ),
                (
                    "body_en",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Description"
                    ),
                ),
                (
                    "links",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "lien",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "url",
                                            wagtail.wagtailcore.blocks.URLBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                            (
                                "contact",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "email",
                                            wagtail.wagtailcore.blocks.EmailBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                        )
                    ),
                ),
                (
                    "links_fr",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "lien",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "url",
                                            wagtail.wagtailcore.blocks.URLBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                            (
                                "contact",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "email",
                                            wagtail.wagtailcore.blocks.EmailBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                        ),
                        null=True,
                    ),
                ),
                (
                    "links_en",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "lien",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "url",
                                            wagtail.wagtailcore.blocks.URLBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                            (
                                "contact",
                                wagtail.wagtailcore.blocks.StructBlock(
                                    (
                                        (
                                            "email",
                                            wagtail.wagtailcore.blocks.EmailBlock(
                                                required=True
                                            ),
                                        ),
                                        (
                                            "texte",
                                            wagtail.wagtailcore.blocks.CharBlock(),
                                        ),
                                    )
                                ),
                            ),
                        ),
                        null=True,
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.Image",
                        verbose_name="Image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Éntrée d'annuaire",
                "verbose_name_plural": "Éntrées d'annuaire",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="COFDirectoryPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "introduction",
                    wagtail.wagtailcore.fields.RichTextField(
                        verbose_name="Introduction"
                    ),
                ),
                (
                    "introduction_fr",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Introduction"
                    ),
                ),
                (
                    "introduction_en",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Introduction"
                    ),
                ),
            ],
            options={
                "verbose_name": "Annuaire (clubs, partenaires, bons plans...)",
                "verbose_name_plural": "Annuaires",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="COFPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "body",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "heading",
                                wagtail.wagtailcore.blocks.CharBlock(
                                    classname="full title"
                                ),
                            ),
                            ("paragraph", wagtail.wagtailcore.blocks.RichTextBlock()),
                            ("image", wagtail.wagtailimages.blocks.ImageChooserBlock()),
                        )
                    ),
                ),
                (
                    "body_fr",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "heading",
                                wagtail.wagtailcore.blocks.CharBlock(
                                    classname="full title"
                                ),
                            ),
                            ("paragraph", wagtail.wagtailcore.blocks.RichTextBlock()),
                            ("image", wagtail.wagtailimages.blocks.ImageChooserBlock()),
                        ),
                        null=True,
                    ),
                ),
                (
                    "body_en",
                    wagtail.wagtailcore.fields.StreamField(
                        (
                            (
                                "heading",
                                wagtail.wagtailcore.blocks.CharBlock(
                                    classname="full title"
                                ),
                            ),
                            ("paragraph", wagtail.wagtailcore.blocks.RichTextBlock()),
                            ("image", wagtail.wagtailimages.blocks.ImageChooserBlock()),
                        ),
                        null=True,
                    ),
                ),
            ],
            options={
                "verbose_name": "Page normale COF",
                "verbose_name_plural": "Pages normales COF",
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="COFRootPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "title_fr",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "title_en",
                    models.CharField(
                        help_text="The page title as you'd like it to be seen by the public",
                        max_length=255,
                        null=True,
                        verbose_name="title",
                    ),
                ),
                (
                    "slug_fr",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "slug_en",
                    models.SlugField(
                        allow_unicode=True,
                        help_text="The name of the page as it will appear in URLs e.g http://domain.com/blog/[my-slug]/",
                        max_length=255,
                        null=True,
                        verbose_name="slug",
                    ),
                ),
                (
                    "url_path_fr",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "url_path_en",
                    models.TextField(
                        blank=True, editable=False, null=True, verbose_name="URL path"
                    ),
                ),
                (
                    "seo_title_fr",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "seo_title_en",
                    models.CharField(
                        blank=True,
                        help_text="Optional. 'Search Engine Friendly' title. This will appear at the top of the browser window.",
                        max_length=255,
                        null=True,
                        verbose_name="page title",
                    ),
                ),
                (
                    "search_description_fr",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "search_description_en",
                    models.TextField(
                        blank=True, null=True, verbose_name="search description"
                    ),
                ),
                (
                    "introduction",
                    wagtail.wagtailcore.fields.RichTextField(
                        verbose_name="Introduction"
                    ),
                ),
                (
                    "introduction_fr",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Introduction"
                    ),
                ),
                (
                    "introduction_en",
                    wagtail.wagtailcore.fields.RichTextField(
                        null=True, verbose_name="Introduction"
                    ),
                ),
            ],
            options={
                "verbose_name": "Racine site du COF",
                "verbose_name_plural": "Racines site du COF",
            },
            bases=("wagtailcore.page", gestioncof.cms.models.COFActuIndexMixin),
        ),
    ]
