from django.conf.urls import url

from gestioncof.decorators import buro_required
from petitscours import views
from petitscours.views import DemandeDetailView, DemandeListView

urlpatterns = [
    url(r"^inscription$", views.inscription, name="petits-cours-inscription"),
    url(r"^demande$", views.demande, name="petits-cours-demande"),
    url(
        r"^demande-raw$",
        views.demande,
        kwargs={"raw": True},
        name="petits-cours-demande-raw",
    ),
    url(
        r"^demandes$",
        buro_required(DemandeListView.as_view()),
        name="petits-cours-demandes-list",
    ),
    url(
        r"^demandes/(?P<pk>\d+)$",
        buro_required(DemandeDetailView.as_view()),
        name="petits-cours-demande-details",
    ),
    url(
        r"^demandes/(?P<demande_id>\d+)/traitement$",
        views.traitement,
        name="petits-cours-demande-traitement",
    ),
    url(
        r"^demandes/(?P<demande_id>\d+)/retraitement$",
        views.traitement,
        kwargs={"redo": True},
        name="petits-cours-demande-retraitement",
    ),
]
